<?php
function mycorp_theme_settings_init(){
	register_setting( 'mycorp_theme_settings', 'mycorp_theme_settings' );
}
function mycorp_scripts() {
	
wp_enqueue_script("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.js", false, "1.0");
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_enqueue_script('bbq', get_bloginfo('stylesheet_directory') . '/functions/jquery.ba-bbq.min.js');
}

function mycorp_style() {
wp_enqueue_style("theme-admin", get_bloginfo('stylesheet_directory')."/functions/functions.css", false, "1.0", "all");
wp_enqueue_style('thickbox');
}

function mycorp_echo_scripts()
{
?>

<?php
}
if (isset($_GET['page']) && $_GET['page'] == 'mycorp-settings')
{
add_action('admin_print_scripts', 'mycorp_scripts'); 
add_action('admin_print_styles', 'mycorp_style');
}
add_action('admin_head', 'mycorp_echo_scripts');

//menu
function mycorp_add_settings_page() {
add_theme_page( __( 'Theme Settings' ), __( 'Theme Settings' ), 'manage_options', 'mycorp-settings', 'mycorp_theme_settings_page');
}

add_action( 'admin_init', 'mycorp_theme_settings_init' );
add_action( 'admin_menu', 'mycorp_add_settings_page' );

//options
$slider_effects = array("random", "fade", "fold", "slideInRight", "slideInLeft", "sliceDown", "sliceDownLeft", "sliceUp", "sliceUpLeft", "sliceUpDown", "sliceUpDownLeft", "boxRandom", "boxRain", "boxRainReverse", "boxRainGrow", "boxRainGrowReverse");
$categories = get_categories('hide_empty=0&orderby=name');
$wp_cats = array();

foreach ($categories as $category_list ) {
$wp_cats[$category_list->cat_ID] = $category_list->cat_name;
}
array_unshift($wp_cats, "Choose a category"); 
function mycorp_theme_settings_page() {

global $wp_cats, $slider_effects;
if ( ! isset( $_REQUEST['updated'] ) )
$_REQUEST['updated'] = false;
?>

<div class="wrap">
<div id="icon-options-general" class="icon32"></div><h2>Theme Settings</h2>

<div id="panel-content">
<?php if ( false !== $_REQUEST['updated'] ) : ?>
<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
<?php endif; ?>
<form method="post" action="options.php">

<?php settings_fields( 'mycorp_theme_settings' ); ?>
<?php $options = get_option( 'mycorp_theme_settings' ); ?>
            
            
<div id="wrap-left">
	<ul class="tabs">
		<li><a href="#tab1">Main</a></li>
        <li><a href="#tab2">Image Slider</a></li>
		<li><a href="#tab3">Disable Stuff</a></li>
		<li><a href="#tab4">Tracking code</a></li>
	</ul>
</div><!-- END wrap-left -->
            
<div id="wrap-right">
<div class="tab_container">

<div id="tab1" class="tab_content">
<ul>

<li><h3><?php _e( 'Favicon' ); ?></h3>

<input id="mycorp_theme_settings[upload_favicon]" class="regular-text upload_field" type="text" size="36" name="mycorp_theme_settings[upload_favicon]" value="<?php esc_attr_e( $options['upload_favicon'] ); ?>" />
<input class="upload_image_button" type="button" value="Upload Image" />
<label class="description abouttxtdescription" for="mycorp_theme_settings[upload_favicon]"><?php _e( 'Upload or type in the URL for the site favicon.' ); ?></label>
</li>

<li><h3><?php _e( 'Homepage Text' ); ?></h3>
<textarea id="mycorp_theme_settings[home_text]" class="regular-text" name="mycorp_theme_settings[home_text]"><?php esc_attr_e( $options['home_text'] ); ?></textarea>
<label class="description" for="mycorp_theme_settings[home_text]"><?php _e( 'Enter your text for the homepage top part - HTML is allowed, I recommend an h2 header followed by some text' ); ?></label>
</li>

</ul>              
</div>

<div id="tab2" class="tab_content">
<ul>

<li><h3><?php _e( 'Transition' ); ?></h3>
<select name="mycorp_theme_settings[effect]">
<?php foreach ($slider_effects as $option) { ?>
<option <?php if ($options['effect'] == $option ){ echo 'selected="selected"'; } ?>><?php echo htmlentities($option); ?></option>
<?php } ?>
</select>					
<label class="description" for="mycorp_theme_settings[effect]"><?php _e( 'Choose the type of transition you want your slider to have. <small>~ Default is random.</small>' ); ?></label>
</li>

<li><h3><?php _e( 'Animation Speed' ); ?></h3>
<input id="mycorp_theme_settings[anim_speed]" class="regular-text" type="text" name="mycorp_theme_settings[anim_speed]" value="<?php esc_attr_e( $options['anim_speed'] ); ?>" />
<label class="description" for="mycorp_theme_settings[anim_speed]"><?php _e( 'Type in the speed for the slide transitions in milliseconds. <small>~ Default is 500.</small>' ); ?></label>
</li>


<li><h3><?php _e( 'Pause Time' ); ?></h3>
<input id="mycorp_theme_settings[pause_time]" class="regular-text" type="text" name="mycorp_theme_settings[pause_time]" value="<?php esc_attr_e( $options['pause_time'] ); ?>" />
<label class="description" for="mycorp_theme_settings[pause_time]"><?php _e( 'This is the time the image is displayed before it transits to the next, in milliseconds. <small>~ Default is 3000.</small>' ); ?></label>
</li>
                        
</ul>
</div>
 
<div id="tab3" class="tab_content">
<ul>

<li><h3><?php _e( 'Disable Tweet and Facebook Buttons' ); ?></h3>
<input id="mycorp_theme_settings[disable_single_social]" name="mycorp_theme_settings[disable_single_social]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_social'] ); ?> />
<label class="description" for="mycorp_theme_settings[disable_single_social]"><?php _e( 'Check this box if you would like to disable the tweet this and like this button on single posts' ); ?></label>
</li>

<li><h3><?php _e( 'Disable Featured Images On Single Posts' ); ?></h3>
<input id="mycorp_theme_settings[disable_single_image]" name="mycorp_theme_settings[disable_single_image]" type="checkbox" value="1" <?php checked( '1', $options['disable_single_image'] ); ?> />
<label class="description" for="mycorp_theme_settings[disable_single_image]"><?php _e( 'Check this box if you would like to disable the thumbnail images on single posts' ); ?></label>
</li>

</ul>
</div>
                
<div id="tab4" class="tab_content">
<ul>
						
<li><h3><?php _e( 'Analytics Code' ); ?></h3>
<textarea id="mycorp_theme_settings[analytics]" class="regular-text" name="mycorp_theme_settings[analytics]"><?php esc_attr_e( $options['analytics'] ); ?></textarea>
<label class="description" for="mycorp_theme_settings[analytics]"><?php _e( 'Enter your analytics tracking code' ); ?></label>
</li>

</ul>
</div>
</div><!--end tab container-->
</div><!-- END wrap-right -->
<div class="clear"></div>

			<p class="submit-changes">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Options' ); ?>" />
			</p>
</form>
</div><!-- END panel-content -->
</div><!-- END wrap -->

<?php
}
//sanitize and validate
function mycorp_options_validate( $input ) {
	global $select_options, $radio_options;
	if ( ! isset( $input['option1'] ) )
		$input['option1'] = null;
	$input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );
	$input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );
	if ( ! isset( $input['radioinput'] ) )
		$input['radioinput'] = null;
	if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
		$input['radioinput'] = null;
	$input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );

	return $input;
}

?>